#pragma once


#include "./utils/vector.h"
#include "./utils/matrix.h"


namespace numerics{
	

	template <typename T>
	void inplace_veclog(utils::Vector<T>& a){

		const uint64_t N = a.size();

		for (uint64_t i = 0; i < N; ++i){
			numerics::inplace_log(a[i]);
		}
	}

	template <typename T>
	utils::Vector<T> veclog(const utils::Vector<T>& a){

		utils::Vector<T> b = a;
		inplace_veclog(b);
		return b;
	}

} // namespace numerics

